Section ID:
DOC-API-MODEL-schema-1lls6fo8p7#overview
FileInfo
FileInfo contains metadata about a file
Meaning and usage
Section ID: DOC-API-MODEL-schema-1lls6fo8p7#meaning
See the definition above.
Usage profiles
Section ID: DOC-API-MODEL-schema-1lls6fo8p7#fields
| Usage | Fields and validation |
|---|---|
| In responses | View fields |
In responses
Section ID: DOC-API-MODEL-schema-1lls6fo8p7#response
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
Section ID: DOC-API-MODEL-schema-1lls6fo8p7#field-fileidSection ID: DOC-API-MODEL-schema-1lls6fo8p7#response-field-fileidfileId | string | Optional | Stable identifier of the stored file. |
Section ID: DOC-API-MODEL-schema-1lls6fo8p7#field-nameSection ID: DOC-API-MODEL-schema-1lls6fo8p7#response-field-namename | string | Optional | Name of the file within its containing folder. |
Section ID: DOC-API-MODEL-schema-1lls6fo8p7#field-pathSection ID: DOC-API-MODEL-schema-1lls6fo8p7#response-field-pathpath | string | Optional | Full path (e.g., "/documents/report.pdf"). |
Section ID: DOC-API-MODEL-schema-1lls6fo8p7#field-folderpathSection ID: DOC-API-MODEL-schema-1lls6fo8p7#response-field-folderpathfolderPath | string | Optional | Parent folder path. |
Section ID: DOC-API-MODEL-schema-1lls6fo8p7#field-sizebytesSection ID: DOC-API-MODEL-schema-1lls6fo8p7#response-field-sizebytessizeBytes | string (int64) | Optional | Size of the file content, in bytes. Pattern: ^-?\d+$. |
Section ID: DOC-API-MODEL-schema-1lls6fo8p7#field-contenttypeSection ID: DOC-API-MODEL-schema-1lls6fo8p7#response-field-contenttypecontentType | string | Optional | Media type of the file content. |
Section ID: DOC-API-MODEL-schema-1lls6fo8p7#field-uploadedatSection ID: DOC-API-MODEL-schema-1lls6fo8p7#response-field-uploadedatuploadedAt | string | Optional | RFC3339 timestamp. |
Section ID: DOC-API-MODEL-schema-1lls6fo8p7#field-modifiedatSection ID: DOC-API-MODEL-schema-1lls6fo8p7#response-field-modifiedatmodifiedAt | string | Optional | RFC3339 timestamp. |
Section ID: DOC-API-MODEL-schema-1lls6fo8p7#field-metadataSection ID: DOC-API-MODEL-schema-1lls6fo8p7#response-field-metadatametadata | Map from string to string | Optional | Custom metadata. |
tags | Array of string | Optional | User-defined tags. |
Section ID: DOC-API-MODEL-schema-1lls6fo8p7#field-descriptionSection ID: DOC-API-MODEL-schema-1lls6fo8p7#response-field-descriptiondescription | string | Optional | Optional description. |
Section ID: DOC-API-MODEL-schema-1lls6fo8p7#field-storagerefSection ID: DOC-API-MODEL-schema-1lls6fo8p7#response-field-storagerefstorageRef | ObjectRef | Optional | Reference to actual storage location. |
Section ID: DOC-API-MODEL-schema-1lls6fo8p7#field-checksumSection ID: DOC-API-MODEL-schema-1lls6fo8p7#response-field-checksumchecksum | string | Optional | File checksum (SHA256). |
Section ID: DOC-API-MODEL-schema-1lls6fo8p7#field-versionSection ID: DOC-API-MODEL-schema-1lls6fo8p7#response-field-versionversion | string (int64) | Optional | Version number (for versioning support). Pattern: ^-?\d+$. |
Where used
Section ID: DOC-API-MODEL-schema-1lls6fo8p7#where-used
| Reference | Relationship |
|---|---|
| Generate a pre-signed download URL | POST /api/v1/storage/generate-download-url |
| Get file metadata | POST /api/v1/storage/get-file-metadata |
| Get storage state | POST /api/v1/storage/get-state |
| List files and folders in a directory | POST /api/v1/storage/list-files |
| Move or rename a file | POST /api/v1/storage/move-file |
| Register a file uploaded via pre-signed URL | POST /api/v1/storage/register-uploaded-file |
| Search files | POST /api/v1/storage/search-files |
| Update file metadata | POST /api/v1/storage/update-file-metadata |
| Upload a file (deprecated) | POST /api/v1/storage/upload-file |
Models containing this value
| Model | Relationship |
|---|---|
| StorageManagerState | Nested in model |
Download the public reference contract.
Document ID: DOC-API-MODEL-schema-1lls6fo8p7